# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-06 10:41
from __future__ import unicode_literals

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('wagtailimages', '0019_delete_filter'),
        ('roadbook', '0002_auto_20171005_0533'),
    ]

    operations = [
        migrations.CreateModel(
            name='RoadbookLegPageGalleryImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('caption', models.CharField(blank=True, max_length=250)),
                ('caption_en', models.CharField(blank=True, max_length=250, null=True)),
                ('caption_fr', models.CharField(blank=True, max_length=250, null=True)),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+',
                                            to='wagtailimages.Image')),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE,
                                                         related_name='gallery_images',
                                                         to='roadbook.RoadbookLegPage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
    ]
